petsc-3.6.2 2015-10-02
Report Typos and Errors

# SNESHasNPC

Returns whether a nonlinear preconditioner exists

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESHasNPC(SNES snes, PetscBool *has_npc)

Not Collective

### Input Parameter

snes -iterative context obtained from SNESCreate()

### Output Parameter

has_npc -whether the SNES has an NPC or not

### Keywords

SNES, has, preconditioner

### See Also

SNESSetNPC(), SNESGetNPC()

Level:developer
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages